> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue Order Create Request

> A `POST` to the `/orders/queue` endpoint allows your application to queue order create request.



## OpenAPI

````yaml post /v3/orders/queue
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/orders/queue:
    post:
      tags:
        - Order
      summary: Queue Order Create Request
      description: >-
        A `POST` to the `/orders/queue` endpoint allows your application to
        queue order create request.
      operationId: order.queue
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreUpdateOrder'
      responses:
        '202':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    const: OK
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreUpdateOrder:
      type: object
      properties:
        profile_id:
          type:
            - string
            - 'null'
        profile_id_handle:
          type:
            - string
            - 'null'
        redemption_id:
          type:
            - integer
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        location_id:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        total:
          type: number
        total_original:
          type:
            - number
            - 'null'
        rounding:
          type:
            - number
            - 'null'
        tender:
          type:
            - string
            - 'null'
        is_void:
          type:
            - boolean
            - 'null'
        margin:
          type:
            - number
            - 'null'
        transacted_at:
          type: string
          format: date-time
        timezone:
          type: string
        meta:
          type:
            - array
            - 'null'
          items:
            type: string
        staff_id:
          type:
            - string
            - 'null'
        payments:
          type: array
          items:
            type: string
        receipt_is_email:
          type:
            - boolean
            - 'null'
        receipt_ref:
          type:
            - string
            - 'null'
        receipt_email:
          type:
            - string
            - 'null'
          format: email
        type:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        order_number:
          type:
            - string
            - 'null'
        due_date:
          type:
            - string
            - 'null'
          format: date-time
        organisation_id:
          type:
            - integer
            - 'null'
        fees:
          type:
            - array
            - 'null'
          items:
            type: string
        tags:
          type: array
          items:
            type: string
        systems:
          type: array
          items:
            type: string
        items:
          type: array
          items:
            type: object
            properties:
              external_id:
                type:
                  - string
                  - 'null'
              name:
                type: string
              price_current:
                type: number
              price_sell:
                type: number
              quantity:
                type: number
              price_original:
                type:
                  - number
                  - 'null'
              price_margin:
                type:
                  - number
                  - 'null'
              discounts:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              sku:
                type:
                  - string
                  - 'null'
              department:
                type:
                  - string
                  - 'null'
              variant_external_id:
                type:
                  - string
                  - 'null'
              product_variant_sku:
                type:
                  - string
                  - 'null'
              product_variant_id:
                type:
                  - integer
                  - 'null'
              product_variant:
                type:
                  - object
                  - 'null'
                properties:
                  product_id:
                    type: string
                  sku:
                    type: string
                  title:
                    type: string
                  category:
                    type: string
                  subcategory:
                    type:
                      - string
                      - 'null'
                  brand:
                    type: string
                  price:
                    type: number
              meta:
                type:
                  - array
                  - 'null'
                items:
                  type: string
            required:
              - name
              - quantity
          minItems: 1
        custom_fields:
          type: array
          items:
            type: object
            properties:
              namespace:
                type: string
              handle:
                type: string
              type:
                type: string
                enum:
                  - string
                  - integer
                  - float
                  - boolean
                  - json
                  - array
              value:
                type: string
            required:
              - namespace
              - handle
              - type
              - value
      required:
        - total
        - transacted_at
        - timezone
        - items
      title: StoreUpdateOrder
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````